<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/format_document_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p2 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/04/85  format_document_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The format_document_ subroutine is used to fill and adjust text.  The
<span id="L5" class="LineNr">  5 </span>subroutine arguments control the formatting, some of which can be
<span id="L6" class="LineNr">  6 </span>overridden by optional control lines in the text.  See the &quot;Notes&quot;
<span id="L7" class="LineNr">  7 </span>section below for a discussion of those control lines.
<span id="L8" class="LineNr">  8 </span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>Entry points in format_document_:
<span id="L11" class="LineNr"> 11 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>:Entry:  format_document_:  03/03/85  format_document_
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Function:
<span id="L19" class="LineNr"> 19 </span>The format_document_ entry point uses directory names and entrynames.
<span id="L20" class="LineNr"> 20 </span>The entrynames can reference segments, links, or multisegment files.
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>
<span id="L23" class="LineNr"> 23 </span>Syntax:
<span id="L24" class="LineNr"> 24 </span>declare format_document_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L25" class="LineNr"> 25 </span>     ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr"> 26 </span>call format_document_ <span class="textRainbow_lv0_p0">(</span>dir_name_in<span class="textRainbow_lv0_o0">,</span> entry_name_in<span class="textRainbow_lv0_o0">,</span> dir_name_out<span class="textRainbow_lv0_o0">,</span>
<span id="L27" class="LineNr"> 27 </span>     entry_name_out<span class="textRainbow_lv0_o0">,</span> options_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>
<span id="L30" class="LineNr"> 30 </span>Arguments:
<span id="L31" class="LineNr"> 31 </span>dir_name_in
<span id="L32" class="LineNr"> 32 </span>   is the pathname of the containing directory of the input.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr"> 33 </span>entry_name_in
<span id="L34" class="LineNr"> 34 </span>   is the entryname of the input segment, link or multisegment file.
<span id="L35" class="LineNr"> 35 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr"> 36 </span>dir_name_out
<span id="L37" class="LineNr"> 37 </span>   is the pathname of the containing directory of the output.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L38" class="LineNr"> 38 </span>entry_name_out
<span id="L39" class="LineNr"> 39 </span>   is the entryname of the output segment, link or multisegment file.
<span id="L40" class="LineNr"> 40 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> If the entry does not exist, it will be created.
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>options_ptr
<span id="L44" class="LineNr"> 44 </span>   is a pointer to the structure in which options are specified.
<span id="L45" class="LineNr"> 45 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> See &quot;Notes&quot; below.
<span id="L46" class="LineNr"> 46 </span>code
<span id="L47" class="LineNr"> 47 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It may be one of the following:
<span id="L48" class="LineNr"> 48 </span>   error_table_$fatal_error
<span id="L49" class="LineNr"> 49 </span>      if the input file cannot be processed.
<span id="L50" class="LineNr"> 50 </span>   error_table_$recoverable_error
<span id="L51" class="LineNr"> 51 </span>      if an error occurs but processing is completed.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>:Entry:  string:  03/04/85 format_document_$string
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Function:  This entry point uses char <span class="textRainbow_lv0_p0">(</span>*<span class="textRainbow_lv0_p0">)</span> variables as input and
<span id="L58" class="LineNr"> 58 </span>output.
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>Syntax:
<span id="L62" class="LineNr"> 62 </span>declare format_document_$string entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed
<span id="L63" class="LineNr"> 63 </span>     bin<span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L64" class="LineNr"> 64 </span>call format_document_$string <span class="textRainbow_lv0_p0">(</span>instring<span class="textRainbow_lv0_o0">,</span> outstring<span class="textRainbow_lv0_o0">,</span> outlen<span class="textRainbow_lv0_o0">,</span> options_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L65" class="LineNr"> 65 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>Arguments:
<span id="L69" class="LineNr"> 69 </span>instring
<span id="L70" class="LineNr"> 70 </span>   is the input string.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L71" class="LineNr"> 71 </span>outstring
<span id="L72" class="LineNr"> 72 </span>   is the output string.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L73" class="LineNr"> 73 </span>outlen
<span id="L74" class="LineNr"> 74 </span>   is the length in bytes of the output string.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L75" class="LineNr"> 75 </span>options_ptr
<span id="L76" class="LineNr"> 76 </span>   is a pointer to the structure in which options are specified.
<span id="L77" class="LineNr"> 77 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>code
<span id="L81" class="LineNr"> 81 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be one of the following:
<span id="L82" class="LineNr"> 82 </span>   error_table_$smallarg
<span id="L83" class="LineNr"> 83 </span>      if the size of the output exceeds that of the output string.
<span id="L84" class="LineNr"> 84 </span>   error_table_$fatal_error
<span id="L85" class="LineNr"> 85 </span>      if the input file cannot be processed.
<span id="L86" class="LineNr"> 86 </span>   error_table_$recoverable_error
<span id="L87" class="LineNr"> 87 </span>      if an error occurs but processing is completed.
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>:Entry:  switch:  03/04/85 format_document_$switch
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>
<span id="L93" class="LineNr"> 93 </span>Function:  This entry point uses a directory name and entryname for
<span id="L94" class="LineNr"> 94 </span>input and writes its output to an I/O switch.  The entryname can
<span id="L95" class="LineNr"> 95 </span>reference a segment, link or multisegment file.
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>Syntax:
<span id="L99" class="LineNr"> 99 </span>declare format_document_$switch entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L100" class="LineNr">100 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L101" class="LineNr">101 </span>call format_document_$switch <span class="textRainbow_lv0_p0">(</span>dir_name_in<span class="textRainbow_lv0_o0">,</span> entry_name_in<span class="textRainbow_lv0_o0">,</span> iocbptr<span class="textRainbow_lv0_o0">,</span>
<span id="L102" class="LineNr">102 </span>     options_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>Arguments:
<span id="L106" class="LineNr">106 </span>dir_name_in
<span id="L107" class="LineNr">107 </span>   is the pathname of the containing directory of the input.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L108" class="LineNr">108 </span>entry_name_in
<span id="L109" class="LineNr">109 </span>   is the entryname of the input segment, link or multisegment file.
<span id="L110" class="LineNr">110 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L111" class="LineNr">111 </span>iocbptr
<span id="L112" class="LineNr">112 </span>   is a pointer to the control block for the output I/O switch.
<span id="L113" class="LineNr">113 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L114" class="LineNr">114 </span>options_ptr
<span id="L115" class="LineNr">115 </span>   is a pointer to the structure in which options are specified.
<span id="L116" class="LineNr">116 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> See &quot;Notes&quot; below.
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>code
<span id="L120" class="LineNr">120 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can one of the following:
<span id="L121" class="LineNr">121 </span>   error_table_$fatal_error
<span id="L122" class="LineNr">122 </span>      if the input file cannot be processed.
<span id="L123" class="LineNr">123 </span>   error_table_$recoverable_error
<span id="L124" class="LineNr">124 </span>      if an error occurs but processing is completed.
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>Notes:  The argument options_ptr points to the format_document_options
<span id="L128" class="LineNr">128 </span>structure <span class="textRainbow_lv0_p0">(</span>defined in include file format_document_options.incl.pl1<span class="textRainbow_lv0_p0">)</span>.
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>   dcl 1 format_document_options aligned based
<span id="L131" class="LineNr">131 </span>           <span class="textRainbow_lv0_p0">(</span>format_document_options_ptr<span class="textRainbow_lv0_p0">)</span>,
<span id="L132" class="LineNr">132 </span>         2 version_number        fixed bin,
<span id="L133" class="LineNr">133 </span>         2 indentation           fixed bin,
<span id="L134" class="LineNr">134 </span>         2 line_length           fixed bin,
<span id="L135" class="LineNr">135 </span>         2 switches,
<span id="L136" class="LineNr">136 </span>           3 pgno_sw             bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L137" class="LineNr">137 </span>           3 adj_sw              bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L138" class="LineNr">138 </span>           3 galley_sw           bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L139" class="LineNr">139 </span>           3 error_sw            bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L140" class="LineNr">140 </span>           3 literal_sw          bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L141" class="LineNr">141 </span>           3 file_sw             bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L142" class="LineNr">142 </span>           3 dont_compress_sw    bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L143" class="LineNr">143 </span>
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>           3 break_word_sw       bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L146" class="LineNr">146 </span>           3 max_line_length_sw  bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L147" class="LineNr">147 </span>           3 dont_break_indented_lines_sw
<span id="L148" class="LineNr">148 </span>                                 bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L149" class="LineNr">149 </span>           3 sub_err_sw          bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L150" class="LineNr">150 </span>           3 dont_fill_sw        bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L151" class="LineNr">151 </span>           3 hyphenation_sw      bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L152" class="LineNr">152 </span>           3 mbz                 bit <span class="textRainbow_lv0_p0">(</span>23<span class="textRainbow_lv0_p0">)</span> unaligned
<span id="L153" class="LineNr">153 </span>         2 syllable_size         fixed bin;
<span id="L154" class="LineNr">154 </span>
<span id="L155" class="LineNr">155 </span>
<span id="L156" class="LineNr">156 </span>
<span id="L157" class="LineNr">157 </span>   Structure elements:
<span id="L158" class="LineNr">158 </span>   version_number
<span id="L159" class="LineNr">159 </span>      is the version number of this structure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It must have
<span id="L160" class="LineNr">160 </span>      the value 2.
<span id="L161" class="LineNr">161 </span>   indentation
<span id="L162" class="LineNr">162 </span>      indentation value, causing indentation from the left margin.
<span id="L163" class="LineNr">163 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This space is in addition to any indentation established
<span id="L164" class="LineNr">164 </span>      by the usage of the indent control in the text.
<span id="L165" class="LineNr">165 </span>   line_length
<span id="L166" class="LineNr">166 </span>      is the initial line length value.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It is the equivalent
<span id="L167" class="LineNr">167 </span>      of the &quot;.pdw&quot; control in the text, and can be overridden in the
<span id="L168" class="LineNr">168 </span>      text.
<span id="L169" class="LineNr">169 </span>
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>   pgno_sw
<span id="L172" class="LineNr">172 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L173" class="LineNr">173 </span>      &quot;1&quot;b enables page numbering.  If galley_sw is off, then each page
<span id="L174" class="LineNr">174 </span>           is to end with a centered page number.
<span id="L175" class="LineNr">175 </span>      &quot;0&quot;b indicates that no page numbering is requested.
<span id="L176" class="LineNr">176 </span>   adj_sw
<span id="L177" class="LineNr">177 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L178" class="LineNr">178 </span>      &quot;1&quot;b causes adjust mode to be on initially.  This is the
<span id="L179" class="LineNr">179 </span>           equivalent of a &quot;.alb&quot; in the text.  It can be overridden in
<span id="L180" class="LineNr">180 </span>           the text.
<span id="L181" class="LineNr">181 </span>      &quot;0&quot;b causes adjust mode to be off initially.  This is the
<span id="L182" class="LineNr">182 </span>           equivalent of a &quot;.all&quot; in the text.  It is only meaningful
<span id="L183" class="LineNr">183 </span>           if dont_fill_sw = &quot;0&quot;b.
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>   galley_sw
<span id="L187" class="LineNr">187 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L188" class="LineNr">188 </span>      &quot;1&quot;b suppresses vertical margins and page breaks.
<span id="L189" class="LineNr">189 </span>      &quot;0&quot;b enables vertical margins and page breaks.
<span id="L190" class="LineNr">190 </span>   error_sw
<span id="L191" class="LineNr">191 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L192" class="LineNr">192 </span>      &quot;1&quot;b causes diagnostic error messages to be written to
<span id="L193" class="LineNr">193 </span>           error_output.
<span id="L194" class="LineNr">194 </span>      &quot;0&quot;b suppresses diagnostic error messages.
<span id="L195" class="LineNr">195 </span>   literal_sw
<span id="L196" class="LineNr">196 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L197" class="LineNr">197 </span>      &quot;1&quot;b causes all input to be treated as text.
<span id="L198" class="LineNr">198 </span>      &quot;0&quot;b enables format_document_ controls.  A line that begins with
<span id="L199" class="LineNr">199 </span>           a period is treated as a control line.
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>   file_sw
<span id="L203" class="LineNr">203 </span>      <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L204" class="LineNr">204 </span>      &quot;1&quot;b indicates that a non-zero storage system status code refers
<span id="L205" class="LineNr">205 </span>           to the output file.
<span id="L206" class="LineNr">206 </span>      &quot;0&quot;b indicates that a non-zero storage system status code refers
<span id="L207" class="LineNr">207 </span>           to the input file.
<span id="L208" class="LineNr">208 </span>   dont_compress_sw
<span id="L209" class="LineNr">209 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L210" class="LineNr">210 </span>      &quot;1&quot;b causes no compression of adjacent spaces and tab characters,
<span id="L211" class="LineNr">211 </span>           nor enforcement of the convention of ending a sentence with
<span id="L212" class="LineNr">212 </span>           2 spaces.
<span id="L213" class="LineNr">213 </span>      &quot;0&quot;b causes adjacent spaces and tab characters that do not begin
<span id="L214" class="LineNr">214 </span>           a line to be converted to a single space, and enforces the
<span id="L215" class="LineNr">215 </span>           convention that a sentence ends with 2 spaces.  A sentence
<span id="L216" class="LineNr">216 </span>           is any string that terminates with one of the following
<span id="L217" class="LineNr">217 </span>           character sequences:  &quot;.  &quot;; &quot;?  &quot;; &quot;   &quot;; &quot;:  &quot;; &quot;.)  &quot;;
<span id="L218" class="LineNr">218 </span>           &quot;?)  &quot;; or &quot; )  &quot;.  This switch may be overridden by
<span id="L219" class="LineNr">219 </span>           dont_break_indented_lines for certain input lines.
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>
<span id="L222" class="LineNr">222 </span>   break_word_sw
<span id="L223" class="LineNr">223 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L224" class="LineNr">224 </span>      &quot;1&quot;b causes the line to be broken in the middle of a word if the
<span id="L225" class="LineNr">225 </span>           line exceeds the line length and there are no spaces or tab
<span id="L226" class="LineNr">226 </span>           characters available at which to do so.
<span id="L227" class="LineNr">227 </span>      &quot;0&quot;b causes an overlength line to be returned and
<span id="L228" class="LineNr">228 </span>           error_table_$recoverable_error to be returned if the line
<span id="L229" class="LineNr">229 </span>           exceeds the linelength and there are no spaces or tab
<span id="L230" class="LineNr">230 </span>           characters at which to break it.
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>
<span id="L233" class="LineNr">233 </span>   max_line_length_sw
<span id="L234" class="LineNr">234 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L235" class="LineNr">235 </span>      &quot;1&quot;b causes the line to be re-adjusted to the line_length given
<span id="L236" class="LineNr">236 </span>           in this structure and error_table_$recoverable_error to be
<span id="L237" class="LineNr">237 </span>           returned if controls in the text cause the calculated line
<span id="L238" class="LineNr">238 </span>           length to be greater than the line_length given in this
<span id="L239" class="LineNr">239 </span>           structure.
<span id="L240" class="LineNr">240 </span>      &quot;0&quot;b allows the controls in the text to adjust the calculated
<span id="L241" class="LineNr">241 </span>           line length to a value greater than the line_length given in
<span id="L242" class="LineNr">242 </span>           this structure.
<span id="L243" class="LineNr">243 </span>
<span id="L244" class="LineNr">244 </span>
<span id="L245" class="LineNr">245 </span>   dont_break_indented_lines_sw
<span id="L246" class="LineNr">246 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L247" class="LineNr">247 </span>      &quot;1&quot;b indicates that if an input line exceeds the specified line
<span id="L248" class="LineNr">248 </span>           length and begins with a blank or horizontal tab, it is not
<span id="L249" class="LineNr">249 </span>           to be broken if a) it is the last line of input, b) it is
<span id="L250" class="LineNr">250 </span>           followed a line that begins with a blank or horizontal tab,
<span id="L251" class="LineNr">251 </span>           or c) it is followed by a blank line.  In addition, such
<span id="L252" class="LineNr">252 </span>           lines will not have space compression or sentence formatting
<span id="L253" class="LineNr">253 </span>           performed on them, no matter what value dont_compress_sw
<span id="L254" class="LineNr">254 </span>           has.
<span id="L255" class="LineNr">255 </span>      &quot;0&quot;b indicates that overlength lines are broken regardless of
<span id="L256" class="LineNr">256 </span>           indentation, and that dont_compress will always control
<span id="L257" class="LineNr">257 </span>           space compression and sentence formatting.
<span id="L258" class="LineNr">258 </span>
<span id="L259" class="LineNr">259 </span>
<span id="L260" class="LineNr">260 </span>   sub_err_sw
<span id="L261" class="LineNr">261 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L262" class="LineNr">262 </span>      &quot;1&quot;b indicates that diagnostic errors are to be communicated via
<span id="L263" class="LineNr">263 </span>           calls to sub_err_.  The info structure used to communicate
<span id="L264" class="LineNr">264 </span>           information about the error is
<span id="L265" class="LineNr">265 </span>           format_document_error.incl.pl1.
<span id="L266" class="LineNr">266 </span>      &quot;0&quot;b indicates that no calls to sub_err_ are to be made.
<span id="L267" class="LineNr">267 </span>   dont_fill_sw
<span id="L268" class="LineNr">268 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L269" class="LineNr">269 </span>      &quot;1&quot;b causes fill mode to be off initially.  This is the
<span id="L270" class="LineNr">270 </span>           equivalent of a &quot;.fif&quot; in the text.  It can be overridden in
<span id="L271" class="LineNr">271 </span>           the text.
<span id="L272" class="LineNr">272 </span>      &quot;0&quot;b causes fill mode to be on initially.  This is the equivalent
<span id="L273" class="LineNr">273 </span>           of a &quot;.fin&quot; in the text.
<span id="L274" class="LineNr">274 </span>
<span id="L275" class="LineNr">275 </span>
<span id="L276" class="LineNr">276 </span>   hyphenation_sw
<span id="L277" class="LineNr">277 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L278" class="LineNr">278 </span>      &quot;1&quot;b causes hyphenation mode to be on initially.  Hyphenation can
<span id="L279" class="LineNr">279 </span>           be turned on in the text via the &quot;hyn&quot; control and off via
<span id="L280" class="LineNr">280 </span>           the &quot;.hyf&quot; control.  The &quot;.hy&quot; control returns hyphenation
<span id="L281" class="LineNr">281 </span>           mode to the initial value, i.e.  the state of this switch.
<span id="L282" class="LineNr">282 </span>      &quot;0&quot;b causes hyphenation mode to be off initially.
<span id="L283" class="LineNr">283 </span>   mbz
<span id="L284" class="LineNr">284 </span>      must be zero.
<span id="L285" class="LineNr">285 </span>
<span id="L286" class="LineNr">286 </span>
<span id="L287" class="LineNr">287 </span>   syllable_size
<span id="L288" class="LineNr">288 </span>      <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L289" class="LineNr">289 </span>      indicates the smallest number of characters to be contained in a
<span id="L290" class="LineNr">290 </span>      syllable that is to be separated from the rest of a word by
<span id="L291" class="LineNr">291 </span>      hyphenation.  This value can be adjusted in the text via the
<span id="L292" class="LineNr">292 </span>      &quot;.hyn&quot; control.  The &quot;.hy&quot; control returns the syllable size to
<span id="L293" class="LineNr">293 </span>      the value of this argument.
<span id="L294" class="LineNr">294 </span>        set hyphenation mode and syllable size to the defaults as
<span id="L295" class="LineNr">295 </span>           specified by format_document_options.hyphenation_sw and
<span id="L296" class="LineNr">296 </span>           format_document_options.syllable_size.
<span id="L297" class="LineNr">297 </span>
<span id="L298" class="LineNr">298 </span>
<span id="L299" class="LineNr">299 </span>        hyf
<span id="L300" class="LineNr">300 </span>           set hyphenation mode off.  See the discussion of .hyn for
<span id="L301" class="LineNr">301 </span>           details.
<span id="L302" class="LineNr">302 </span>        hyn <span class="textRainbow_lv0_p2">{</span>N<span class="textRainbow_lv0_p2">}</span>
<span id="L303" class="LineNr">303 </span>           set hyphenation mode on and set the syllable size according
<span id="L304" class="LineNr">304 </span>           to the given parameter.  the parameter is given as an
<span id="L305" class="LineNr">305 </span>           unsigned integer and specifies the number of characters in
<span id="L306" class="LineNr">306 </span>           the smallest allowed hyphenated syllable.  If the parameter
<span id="L307" class="LineNr">307 </span>           is not given, then the default syllable size is used.  The
<span id="L308" class="LineNr">308 </span>           default syllable size is the value given in
<span id="L309" class="LineNr">309 </span>           format_document_options.syllable_size.
<span id="L310" class="LineNr">310 </span>
<span id="L311" class="LineNr">311 </span>
<span id="L312" class="LineNr">312 </span>Control lines:
<span id="L313" class="LineNr">313 </span>The following is a discussion of each of the control lines.
<span id="L314" class="LineNr">314 </span>.alb
<span id="L315" class="LineNr">315 </span>   align the text at both the left and right margins according to the
<span id="L316" class="LineNr">316 </span>   current value of the left indentation and undentation.  Text is
<span id="L317" class="LineNr">317 </span>   padded by insertion of uniformly distributed white space.  The fill
<span id="L318" class="LineNr">318 </span>   mode must be on for this mode to operate.  If the fill mode is off,
<span id="L319" class="LineNr">319 </span>   this control is mapped into the align-left <span class="textRainbow_lv0_p0">(</span>.all<span class="textRainbow_lv0_p0">)</span> control.  This is
<span id="L320" class="LineNr">320 </span>   the default alignment mode.
<span id="L321" class="LineNr">321 </span>.all
<span id="L322" class="LineNr">322 </span>   align the text on the left margin according to the current values of
<span id="L323" class="LineNr">323 </span>   left indentation and undentation leaving the right margin ragged.
<span id="L324" class="LineNr">324 </span>.brf
<span id="L325" class="LineNr">325 </span>   finish the current output line by formatting any pending texts as a
<span id="L326" class="LineNr">326 </span>   short line.
<span id="L327" class="LineNr">327 </span>
<span id="L328" class="LineNr">328 </span>
<span id="L329" class="LineNr">329 </span>.brp
<span id="L330" class="LineNr">330 </span>   finish the current page, formatting any pending texts as a short
<span id="L331" class="LineNr">331 </span>   line.
<span id="L332" class="LineNr">332 </span>.fif
<span id="L333" class="LineNr">333 </span>   set the fill mode off.  See the discussion of .fin for details.
<span id="L334" class="LineNr">334 </span>.fin
<span id="L335" class="LineNr">335 </span>   set the fill mode on.  In fill mode, text words are moved from line
<span id="L336" class="LineNr">336 </span>   to line in such a way that the last word does not extend past the
<span id="L337" class="LineNr">337 </span>   right margin.  The default for this mode is on.
<span id="L338" class="LineNr">338 </span>
<span id="L339" class="LineNr">339 </span>
<span id="L340" class="LineNr">340 </span>.in, .inl <span class="textRainbow_lv0_p2">{</span>+/-N<span class="textRainbow_lv0_p2">}</span>
<span id="L341" class="LineNr">341 </span>   if N is given without the optional sign, plus <span class="textRainbow_lv0_p0">(</span>+<span class="textRainbow_lv0_p0">)</span> or minus <span class="textRainbow_lv0_p0">(</span>-<span class="textRainbow_lv0_p0">)</span>, then
<span id="L342" class="LineNr">342 </span>   set the left indentation point to N columns to the right of the left
<span id="L343" class="LineNr">343 </span>   margin.  If N is given with the optional sign, then change the
<span id="L344" class="LineNr">344 </span>   current left indentation point by N columns.  Positive values for N
<span id="L345" class="LineNr">345 </span>   cause movement to the right.  The default value for N is 0.  Any
<span id="L346" class="LineNr">346 </span>   value that results in a zero or negative effective line length will
<span id="L347" class="LineNr">347 </span>   produce an error diagnostic message.  The left indentation point is
<span id="L348" class="LineNr">348 </span>   never set to the left of the left margin.  The left margin is
<span id="L349" class="LineNr">349 </span>   determined by the -indent control argument.
<span id="L350" class="LineNr">350 </span>.pdl <span class="textRainbow_lv0_p2">{</span>+/-N<span class="textRainbow_lv0_p2">}</span>
<span id="L351" class="LineNr">351 </span>   if N is given without the optional sign, <span class="textRainbow_lv0_p0">(</span>+ or -<span class="textRainbow_lv0_p0">)</span>, then set the page
<span id="L352" class="LineNr">352 </span>   length to N lines.  If N is given with the optional sign, then
<span id="L353" class="LineNr">353 </span>   change the current page length by N.  If the resulting page length
<span id="L354" class="LineNr">354 </span>   is zero or negative, an error diagnostic message is produced.  The
<span id="L355" class="LineNr">355 </span>   default value for N is 66.
<span id="L356" class="LineNr">356 </span>
<span id="L357" class="LineNr">357 </span>
<span id="L358" class="LineNr">358 </span>.pdw <span class="textRainbow_lv0_p2">{</span>+/-N<span class="textRainbow_lv0_p2">}</span>
<span id="L359" class="LineNr">359 </span>   if N is given without the optional sign, then set the page width to
<span id="L360" class="LineNr">360 </span>   N columns.  If N is given with the optional sign, then change the
<span id="L361" class="LineNr">361 </span>   current page width by N.  If the resulting page width is zero or
<span id="L362" class="LineNr">362 </span>   negative, an error diagnostic message is produced.  The default
<span id="L363" class="LineNr">363 </span>   value for N is 65.
<span id="L364" class="LineNr">364 </span>.spf <span class="textRainbow_lv0_p2">{</span>N<span class="textRainbow_lv0_p2">}</span>
<span id="L365" class="LineNr">365 </span>   finish the current output line and then add N blank lines.  If N is
<span id="L366" class="LineNr">366 </span>   not given, then add 1 blank line.
<span id="L367" class="LineNr">367 </span>.un, .unl <span class="textRainbow_lv0_p2">{</span>+/-N<span class="textRainbow_lv0_p2">}</span>
<span id="L368" class="LineNr">368 </span>   adjust the indentation point for only the next output line.  If N is
<span id="L369" class="LineNr">369 </span>   unsigned or has the + sign the indentation point is moved n columns
<span id="L370" class="LineNr">370 </span>   to the left.  If N has the - sign, the indentation point is moved n
<span id="L371" class="LineNr">371 </span>   columns to the right.  The default value for N is the value of the
<span id="L372" class="LineNr">372 </span>   indentation value.
<span id="L373" class="LineNr">373 </span>
<span id="L374" class="LineNr">374 </span>
<span id="L375" class="LineNr">375 </span>Specialized Error Handling:
<span id="L376" class="LineNr">376 </span>If format_document_options.sub_err_sw is set and errors occur in
<span id="L377" class="LineNr">377 </span>formatting, the sub_err_ subroutine will be called to signal them
<span id="L378" class="LineNr">378 </span>rather than aborting the program.  The caller of format_document_ can
<span id="L379" class="LineNr">379 </span>set up a handler for the sub_error_ condition and use the information
<span id="L380" class="LineNr">380 </span>in the format_document_error structure to make decisions about how to
<span id="L381" class="LineNr">381 </span>proceed.  See the sub_err_ subroutine for an example of how to
<span id="L382" class="LineNr">382 </span>establish a handler for the sub_error_ condition.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
